#view-listAssets {

  #asset-list,
  #asset-buttons {
    text-align: center;
    width: 90%;
    max-width: 720px;
    background: 0 0;
    padding: 0;
    margin: 0 auto;
    margin-bottom: 1em;
  }

  #asset-list {
    display: flex;
    flex-direction: column;
    margin: 70px auto 16px;

    a { border: none; }

    .asset-container.listAssets-subAsset {
      margin-left: 50px;
      width: calc(100% - 50px);
      margin-top: 0;
    }

    .asset-container.listAssets-locked > .asset > span:nth-child(2) {
      background-image: url('./svg/fuel-red.svg');
      background-repeat: no-repeat;
      background-position: right;
      padding-right: 50px;
      background-size: 32px 32px;
    }

    .asset-container.loading {
      background-image: linear-gradient(154deg, grey -40%, darkgrey 130%);
      cursor: default;
      color: darkgray;
      pointer-events: none;
    }

    .asset-container {
      position: relative;
      width: 100%;
      cursor: pointer;
      margin: 12px 0;
      padding: 10px 16px 8px 16px;
      text-align: left;

      @include border-radius();

      @media (max-width: 480px) {
        margin: 8px 0;
      }

      background-image: $primary-gradient;
      z-index: 1;
      min-height: 70px;

      @include transition(0.2s all ease-in);

      @include breakpoint(small) {
        min-height: 86px;
        padding-top: 18px;
        padding-left: 24px;
        padding-right: 24px;
      }

      &:hover {
        transform: scale(1.02);
        filter: brightness(112%);
      }

      .asset,
      .asset-balance-info {
        display: inline-block;
        margin: 2px 0 0 0;
        vertical-align: middle;
        min-width: 200px;
      }

      .asset-balance-info {
        @media (max-width: 480px) {
          float: right;
        }
      }

      .asset {
        text-align: left;
        color: white;
        /* text-transform: uppercase; */
        font-weight: $semi-bold;
        vertical-align: middle;
        width: calc(50% - 8px);
        margin-right: 0;
        word-break: break-all;
        white-space: nowrap;

        @include font-size(20);
        @include line-height(32);

        @include breakpoint(small) {
          @include font-size(22);
          @include line-height(24);
        }

        .icon {
          display: inline-block;
          vertical-align: middle;
          margin: -2px 12px 0 0;
          height: 34px;

          svg {
            width: 35px;
            height: 32px;

            path {
              fill: #fff !important;
            }

            text {
              fill: #50cbaf !important;
            }
          }
        }

        .star {
          display: inline-block;
          margin: -2px 5px 2px;
          vertical-align: middle;
          cursor: pointer;
          z-index: 2;
          opacity: 0.5;
          scale: 0.7;
        }
      }

      .asset-balance-info {
        display: inline-block;
        width: 50%;
        text-align: right;

        @include clearfix();

        .valuation,
        .balance {
          color: white;
          font-weight: $semi-bold;
          text-align: right;
          min-height: 24px;
          letter-spacing: 0.3px;
          text-transform: uppercase;
          display: inline-block;

          @include font-size(20);
          @include line-height(22);

          @media (max-width: 720px) {
            @include font-size(16);
            @include line-height(18);
          }
        }

        .balance {
          padding-top: 4px;
          word-break: break-all;
        }

        .valuation {
          color: rgba(white, 0.7);
          display: block;

          @include font-size(14);
        }

        .spinner-loader {
          margin-right: 8px;
          float: right;
        }
      }
    }

    .progress-radial {
      float: right;

      @include breakpoint(small) { float: left; }
    }
  }

  .display-assets-link {
    cursor: pointer;
  }

  .asset-container * {
    @include transition(all 0.3s ease-in);
  }

  .manage-button #manageAssetsBtn {
    display: none;
  }

  .ast {
    @include font-size(10);

    vertical-align: text-bottom;
  }

  .valuation-source {
    @include font-size(12);

    margin-bottom: 40px;
    text-align: left;
    color: $grey;
  }

  .listAssets-message.error {
    color: red;
    background-color: rgb(255, 220, 220);
    margin-top: 10px;
  }

  .listAssets-starred {
    background-color: transparent;
    background-position: center center;
    background-repeat: no-repeat;
    background-image: url('./svg/star.svg');
    width: 26px;
    height: 30px;
    display: inline-block;
    vertical-align: middle;
    margin-top: -5px;
  }

  #listAssets-addWallet,
  #listAssets-banking {
    display: inline-block;
    width: 45%;
    margin-left: 6px;
    margin-right: 6px;
    margin-top: 12px;
    margin-bottom: 12px;
    padding-left: 2em;
    text-align: left;

    @media (max-width: 480px) {
      width: 90%;
    }
    @media (min-width: 720px) {
      max-width: 330px;
    }

    div {
      width: 18px;
      height: 18px;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      vertical-align: middle;
      display: inline-block;
      margin: -4px 18px 0 2px;
    }
  }

  #listAssets-addWallet div {
      background-image: url('./svg/add.svg');
  }

  // button banking gets a legacy colour
  #listAssets-banking {
      color: #af6e3f;
      background: #efeddc;
      border: 1px solid #C9A95D;
  }
  #listAssets-banking div {
      background-image: url('./svg/banking.svg');
  }

  .listAssets-message {
    cursor: pointer;
    text-align: left;
    border-radius: 8px;
    color: #63bbbb;
    background: rgba(103, 199, 199, 0.1);
    padding: 20px 22px;
    font-size: 14px;
    font-weight: 600;
    margin-bottom: 1em;

    &:hover {
      transform: scale(1.02);
    }

    @include transition(0.2s all ease-in);
  }

  #listAssets-getSomeHy {
    display: inline-block;
    opacity: 1;
    transition: opacity 3s;
    background-color: white;
    text-transform: none;
    border-radius: 25px;
    transform: translateY(-2px);
    font-size: 16px;
    cursor: pointer;
    vertical-align: middle;
    background-image: url('./favicon.ico');
    background-size: 26px 26px;
    background-repeat: no-repeat;
    background-position: 5px center;
    padding-top: 4px;
    padding-left: 44px;
    padding-right: 14px;
    padding-bottom: 5px;
    color: #ffbf00;
    box-shadow:
      -1px -1px 5px #ffa300c3,
      -1px 1px 5px #ffa300c3,
      1px 1px 5px #ffa300c3,
      1px -1px 5px #ffa300c3;

    @media (min-width: 480px) {
      position: absolute;
      top: 35%;
      left: 45%;
    }

    @media (max-width: 480px) {
      position: absolute;
      right: 0;
      margin-top: 2px;
      margin-left: 20px;
      margin-bottom: 8px;
      margin-right: 10px;
    }
  }

  #listAssets-getSomeHy:hover {
    box-shadow:
      -5px -5px 15px #ffc300cc,
      -5px 5px 15px #ffc300cc,
      5px 5px 15px #ffc300cc,
      5px -5px 15px #ffc300cc;
  }

  .asset-container.loading .listAssets-getSomeHy {
    color: transparent;
    color: darkgray;
    filter: saturate(0%);
  }

  .listAssets-pending-symbol {
    width: 20px;
    height: 20px;
    background-size: 100% 100%;
    background-image: url('./svg/pending.svg');
    display: inline-block;
  }

}
